GET api/{axCompany}/customer/{axCustomerId}/UnitInfo/{unitId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
axCompany

string

Required

axCustomerId

string

Required

unitId

string

Required

Body Parameters

None.

Response Information

Resource Description

UnitDto
NameDescriptionTypeAdditional information
Id

string

None.

Name

string

None.

Description

string

None.

CustAccount

string

None.

SerialId

string

None.

DoorTypeId

string

None.

Notes

string

None.

UnitTasks

Collection of UnitTaskDto

None.

Response Formats

application/json, text/json

Sample:
{
  "Id": "sample string 1",
  "Name": "sample string 2",
  "Description": "sample string 3",
  "CustAccount": "sample string 4",
  "SerialId": "sample string 5",
  "DoorTypeId": "sample string 6",
  "Notes": "sample string 7",
  "UnitTasks": [
    {
      "UnitId": "sample string 1",
      "ServiceOrderId": "sample string 2",
      "Status": "sample string 3",
      "CustomerNote": "sample string 4",
      "ServiceStart": "2026-09-17T14:22:07.5721188+02:00",
      "ServiceEnd": "2026-09-17T14:22:07.5721188+02:00",
      "Created": "2026-09-17T14:22:07.5721188+02:00",
      "ServiceReportExist": true,
      "InspectionReportExist": true,
      "CustomerAccount": "sample string 10",
      "InvoiceAccount": "sample string 11",
      "DoorTypeId": "sample string 12",
      "SerialId": "sample string 13",
      "FMPSubId": 14
    },
    {
      "UnitId": "sample string 1",
      "ServiceOrderId": "sample string 2",
      "Status": "sample string 3",
      "CustomerNote": "sample string 4",
      "ServiceStart": "2026-09-17T14:22:07.5721188+02:00",
      "ServiceEnd": "2026-09-17T14:22:07.5721188+02:00",
      "Created": "2026-09-17T14:22:07.5721188+02:00",
      "ServiceReportExist": true,
      "InspectionReportExist": true,
      "CustomerAccount": "sample string 10",
      "InvoiceAccount": "sample string 11",
      "DoorTypeId": "sample string 12",
      "SerialId": "sample string 13",
      "FMPSubId": 14
    }
  ]
}

application/xml, text/xml

Sample:
<UnitDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SalesPortal.Entities.Dtos.Customer">
  <CustAccount>sample string 4</CustAccount>
  <Description>sample string 3</Description>
  <DoorTypeId>sample string 6</DoorTypeId>
  <Id>sample string 1</Id>
  <Name>sample string 2</Name>
  <Notes>sample string 7</Notes>
  <SerialId>sample string 5</SerialId>
  <UnitTasks>
    <UnitTaskDto>
      <Created>2026-09-17T14:22:07.5721188+02:00</Created>
      <CustomerAccount>sample string 10</CustomerAccount>
      <CustomerNote>sample string 4</CustomerNote>
      <DoorTypeId>sample string 12</DoorTypeId>
      <FMPSubId>14</FMPSubId>
      <InspectionReportExist>true</InspectionReportExist>
      <InvoiceAccount>sample string 11</InvoiceAccount>
      <SerialId>sample string 13</SerialId>
      <ServiceEnd>2026-09-17T14:22:07.5721188+02:00</ServiceEnd>
      <ServiceOrderId>sample string 2</ServiceOrderId>
      <ServiceReportExist>true</ServiceReportExist>
      <ServiceStart>2026-09-17T14:22:07.5721188+02:00</ServiceStart>
      <Status>sample string 3</Status>
      <UnitId>sample string 1</UnitId>
    </UnitTaskDto>
    <UnitTaskDto>
      <Created>2026-09-17T14:22:07.5721188+02:00</Created>
      <CustomerAccount>sample string 10</CustomerAccount>
      <CustomerNote>sample string 4</CustomerNote>
      <DoorTypeId>sample string 12</DoorTypeId>
      <FMPSubId>14</FMPSubId>
      <InspectionReportExist>true</InspectionReportExist>
      <InvoiceAccount>sample string 11</InvoiceAccount>
      <SerialId>sample string 13</SerialId>
      <ServiceEnd>2026-09-17T14:22:07.5721188+02:00</ServiceEnd>
      <ServiceOrderId>sample string 2</ServiceOrderId>
      <ServiceReportExist>true</ServiceReportExist>
      <ServiceStart>2026-09-17T14:22:07.5721188+02:00</ServiceStart>
      <Status>sample string 3</Status>
      <UnitId>sample string 1</UnitId>
    </UnitTaskDto>
  </UnitTasks>
</UnitDto>